BizKitHub
DocsAPI ReferenceLedger/bff/ledger/payment/settle
postLedgerAdmin BFF

/bff/ledger/payment/settle

Allocate a payment to a document manually (locked against automatic matching)

LedgerpostBffLedgerPaymentSettle

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
idstringRequired
Length: 24–24
documentIdstringRequired
Length: 24–24
amountnumber | nullOptional
One of 2:
Variant 1
number
Variant 2
null
notestring | nullOptional
One of 2:
Variant 1
string
Length: 0–1000
Variant 2
null

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/ledger/payment/settle

post
curl -X POST "https://api.bizkithub.com/bff/ledger/payment/settle" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "id": "example_id",
  "documentId": "example_documentId"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key